サーバーモニター

GET https://uptime4.com/api/server-monitors/
curl --request GET \
--url 'https://uptime4.com/api/server-monitors/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
search オプション 文字列 検索文字列。
search_by オプション 文字列 どのフィールドで検索していますか。許可される値は次のとおりです: name, target.
is_enabled オプション ブール値
project_id オプション 整数
datetime_field オプション 文字列 許可される値: datetime, last_datetime, last_log_datetime
datetime_start オプション 文字列 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end オプション 文字列 Filter results up to this datetime. Y-m-d H:i:s format.
order_by オプション 文字列 結果を並べ替えるフィールド。許可される値は次のとおりです: server_monitor_id, datetime, last_datetime, last_log_datetime, total_logs, cpu_usage, ram_usage, disk_usage, uptime, name.
order_type オプション 文字列 結果の順序。許可される値は、昇順の場合は ASC、降順の場合は DESC です。
page オプション 整数 結果を取得するページ番号。デフォルトは 1 です。
results_per_page オプション 整数 ページごとに必要な結果の数。許可される値は次のとおりです: 10, 25, 50, 100, 250, 500, 1000。デフォルトは 25 です。
{
    "data": [
        {
            "id": 1,
            "project_id": 0,
            "name": "Sample",
            "target": "123.123.123.123",
            "settings": {
                "server_check_interval_seconds": 60
            },
            "cpu_usage": 0.7,
            "ram_usage": 30.65,
            "disk_usage": 16.49,
            "cpu_load_1": 0,
            "cpu_load_5": 0,
            "cpu_load_15": 0,
            "is_enabled": true,
            "total_logs": 100,
            "last_log_datetime": "2024-01-14 02:45:05",
            "datetime": "2026-04-21 02:06:00",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptime4.com/api/server-monitors?page=1",
        "last": "https://uptime4.com/api/server-monitors?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptime4.com/api/server-monitors?page=1"
    }
}
GET https://uptime4.com/api/server-monitors/{server_monitor_id}
curl --request GET \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "project_id": 0,
        "name": "Sample",
        "target": "123.123.123.123",
        "settings": {
            "server_check_interval_seconds": 60
        },
        "cpu_usage": 0.7,
        "ram_usage": 30.65,
        "disk_usage": 16.49,
        "cpu_load_1": 0,
        "cpu_load_5": 0,
        "cpu_load_15": 0,
        "is_enabled": true,
        "total_logs": 100,
        "last_log_datetime": "2024-01-14 02:45:05",
        "datetime": "2026-04-21 02:06:00",
        "last_datetime": null
    }
}
POST https://uptime4.com/api/server-monitors
パラメータ 詳細 説明
name 必須 文字列 -
target 必須 文字列 -
project_id オプション 整数 -
notifications オプション 配列 通知ハンドラーID
server_check_interval_seconds オプション 整数 許可される値: 60, 300, 600, 900, 1800 (秒)
alert_metric[key] オプション 文字列 許可される値: cpu_usage, disk_usage, ram_usage
alert_rule[key] オプション 文字列 許可される値: is_higher, is_lower
alert_value[key] オプション 文字列 許可される値: 1-99
alert_trigger[key] オプション 文字列 許可される値: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10
is_enabled オプション ブール値 -
curl --request POST \
--url 'https://uptime4.com/api/server-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://uptime4.com/api/server-monitors/{server_monitor_id}
パラメータ 詳細 説明
name 必須 文字列 -
target 必須 文字列 -
project_id オプション 整数 -
notifications オプション 配列 通知ハンドラーID
server_check_interval_seconds オプション 整数 許可される値: 60, 300, 600, 900, 1800 (秒)
alert_metric[key] オプション 文字列 許可される値: cpu_usage, disk_usage, ram_usage
alert_rule[key] オプション 文字列 許可される値: is_higher, is_lower
alert_value[key] オプション 文字列 許可される値: 1-99
alert_trigger[key] オプション 文字列 許可される値: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10
is_enabled オプション ブール値 -
curl --request POST \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1
    }
}
DELETE https://uptime4.com/api/server-monitors/{server_monitor_id}
curl --request DELETE \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \